<template lang ="html">

  <svg class="icon" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">

    <g v-if="icon === 'home'">
      <path d="M1 21.9992V9.58998H22V21.9992H1Z" stroke="currentColor" stroke-width="2" stroke-linejoin="round"/>
      <path d="M1 9.59103L11.5 1L22 9.59103H1Z" stroke="currentColor" stroke-width="2" stroke-linejoin="round"/>
    </g>

    <g v-if="icon === 'logo'">
      <path d="M23.7992 4.06809C23.2055 2.40057 21.7563 1.78944 20.4292 2.26089C19.1633 2.71487 18.5522 3.97205 18.9887 5.19432C19.3991 6.33801 20.5689 6.89675 21.7039 6.49515C22.7341 6.12847 23.1881 5.23797 23.1706 4.47842C23.5024 5.63957 23.0222 7.03644 21.5031 7.57773C19.5387 8.28489 17.9673 6.94041 15.4965 4.67922C14.8156 4.05063 14.1346 3.40457 13.4362 2.81963L11.9433 1.67595C11.9433 1.67595 11.9433 1.66722 11.9433 1.67595C10.9043 0.97751 9.81302 0.436223 8.65187 0.174309H8.6606C8.52092 0.148118 8.38996 0.121927 8.25027 0.104466C8.20662 0.0870048 8.15424 0.0870048 8.10186 0.0782743C8.06693 0.0695439 8.03201 0.0695439 8.00582 0.0608134C7.93598 0.052083 7.8574 0.0433525 7.78756 0.0346221C7.73518 0.0258916 7.67406 0.0258916 7.62168 0.0171612C7.59549 0.0171612 7.57803 0.0171612 7.55184 0.00843073C1.49291 -0.410631 0 6.54754 0 6.54754L0.078574 6.75707C0.0960349 6.72214 0.0611131 6.79199 0.078574 6.75707C0.078574 6.75707 1.84212 1.01243 5.77956 3.0379C6.59149 3.51807 7.86613 4.29508 8.63441 4.89748L9.41142 5.50861C13.4362 8.59046 17.2077 10.1183 20.9531 8.78253C23.6421 7.81345 24.4103 5.77926 23.7992 4.06809Z" fill="currentColor"/>
    </g>

    <g v-else-if="icon === 'types'">
      <path d="M1 1V0C0.447715 0 0 0.447715 0 1L1 1ZM1 22H0C0 22.5523 0.447715 23 1 23L1 22ZM22 22V23C22.5523 23 23 22.5523 23 22H22ZM22 1H23C23 0.447715 22.5523 0 22 0V1ZM5.08362 5.83447C4.53133 5.83447 4.08362 6.28219 4.08362 6.83447C4.08362 7.38676 4.53133 7.83447 5.08362 7.83447V5.83447ZM17.917 7.83447C18.4692 7.83447 18.917 7.38676 18.917 6.83447C18.917 6.28219 18.4692 5.83447 17.917 5.83447V7.83447ZM5.08362 15.1655C4.53133 15.1655 4.08362 15.6132 4.08362 16.1655C4.08362 16.7178 4.53133 17.1655 5.08362 17.1655V15.1655ZM17.917 17.1655C18.4692 17.1655 18.917 16.7178 18.917 16.1655C18.917 15.6132 18.4692 15.1655 17.917 15.1655V17.1655ZM5.08362 10.5C4.53133 10.5 4.08362 10.9477 4.08362 11.5C4.08362 12.0523 4.53133 12.5 5.08362 12.5V10.5ZM17.917 12.5C18.4692 12.5 18.917 12.0523 18.917 11.5C18.917 10.9477 18.4692 10.5 17.917 10.5V12.5ZM0 1V22H2V1H0ZM1 23H22V21H1V23ZM23 22V1H21V22H23ZM22 0H1V2H22V0ZM5.08362 7.83447H17.917V5.83447H5.08362V7.83447ZM5.08362 17.1655H17.917V15.1655H5.08362V17.1655ZM5.08362 12.5H17.917V10.5H5.08362V12.5Z" fill="currentColor"/>
    </g>

    <g v-else-if="icon === 'visible'">
      <path d="M11 0C4.91827 0 0 3.18246 0 7.07213C0 10.9618 4.91827 14.1443 11 14.1443C17.0817 14.1443 22 10.9618 22 7.07213C22 3.18246 17.0817 0 11 0ZM11 12.6288C5.87019 12.6288 1.58654 10.103 1.58654 7.07213C1.58654 4.04122 5.92307 1.51546 11 1.51546C16.1298 1.51546 20.4135 4.04122 20.4135 7.07213C20.4135 10.103 16.0769 12.6288 11 12.6288Z" fill="currentColor"/>
      <path d="M10.9496 2.67627C8.41113 2.67627 6.34863 4.64637 6.34863 7.0711C6.34863 9.49583 8.41113 11.4659 10.9496 11.4659C13.488 11.4659 15.5505 9.49583 15.5505 7.0711C15.5505 4.64637 13.5409 2.67627 10.9496 2.67627ZM10.9496 9.95045C9.25728 9.95045 7.93517 8.63707 7.93517 7.0711C7.93517 5.50513 9.31017 4.19172 10.9496 4.19172C12.589 4.19172 13.964 5.50513 13.964 7.0711C13.964 8.63707 12.6419 9.95045 10.9496 9.95045Z" fill="currentColor"/>
    </g>

    <g v-else-if="icon === 'not'">
      <path d="M1 1V0C0.447715 0 0 0.447715 0 1L1 1ZM1 22H0C0 22.5523 0.447715 23 1 23L1 22ZM22 22V23C22.5523 23 23 22.5523 23 22H22ZM22 1H23C23 0.447715 22.5523 0 22 0V1ZM5.66074 16.0515C5.27494 16.4467 5.28257 17.0798 5.67777 17.4656C6.07297 17.8514 6.70609 17.8437 7.09188 17.4485L5.66074 16.0515ZM17.3419 6.94854C17.7277 6.55334 17.72 5.92022 17.3248 5.53443C16.9296 5.14863 16.2965 5.15626 15.9107 5.55146L17.3419 6.94854ZM16.0515 17.3397C16.4467 17.7255 17.0798 17.7179 17.4656 17.3227C17.8514 16.9275 17.8437 16.2944 17.4485 15.9086L16.0515 17.3397ZM6.94854 5.65858C6.55334 5.27279 5.92022 5.28042 5.53443 5.67562C5.14863 6.07082 5.15626 6.70394 5.55146 7.08973L6.94854 5.65858ZM0 1V22H2V1H0ZM1 23H22V21H1V23ZM23 22V1H21V22H23ZM22 0H1V2H22V0ZM7.09188 17.4485L17.3419 6.94854L15.9107 5.55146L5.66074 16.0515L7.09188 17.4485ZM17.4485 15.9086L6.94854 5.65858L5.55146 7.08973L16.0515 17.3397L17.4485 15.9086Z" fill="currentColor"/>
    </g>

    <path v-else-if="icon === 'done'"  d="M7.47261 20.3215C6.49453 20.3215 5.57398 19.8895 4.88357 19.1489L1.2589 15.199C0.913699 14.8287 0.913699 14.2733 1.2589 13.903C1.60411 13.5327 2.12192 13.5327 2.46713 13.903L6.09178 17.8529C6.83972 18.6552 8.10548 18.6552 8.85343 17.8529L20.5329 5.07753C20.8781 4.70723 21.3959 4.70723 21.7411 5.07753C22.0863 5.44783 22.0863 6.00327 21.7411 6.37357L10.0617 19.1489C9.37124 19.9512 8.45069 20.3215 7.47261 20.3215Z" fill="currentcolor"/>

    <g v-else-if="icon === 'doneBox'">
      <path fill-rule="evenodd" clip-rule="evenodd" d="M17.25 9.19884V6.89784L18.75 5.27175V7.57276L17.25 9.19884ZM17.25 12.3584V17.25H1.75V1.75H17.25V3.94063L18.75 2.31454V1C18.75 0.585786 18.4142 0.25 18 0.25H1C0.585786 0.25 0.25 0.585786 0.25 1V18C0.25 18.4142 0.585786 18.75 1 18.75H18C18.4142 18.75 18.75 18.4142 18.75 18V10.7323L17.25 12.3584Z" fill="currentColor"/>
      <path d="M9.66354 16.0483C8.80771 16.0483 8.00223 15.6703 7.39812 15.0223L4.22654 11.5661C3.92449 11.2421 3.92449 10.7561 4.22654 10.4321C4.5286 10.1081 4.98168 10.1081 5.28374 10.4321L8.4553 13.8882C9.10976 14.5903 10.2173 14.5903 10.8718 13.8882L21.0913 2.70981C21.3933 2.38579 21.8464 2.38579 22.1485 2.70981C22.4505 3.03382 22.4505 3.51983 22.1485 3.84384L11.9289 15.0223C11.3248 15.7243 10.5194 16.0483 9.66354 16.0483Z" fill="currentColor"/>
    </g>

    <g v-else-if="icon === 'habits'">
      <path fill-rule="evenodd" clip-rule="evenodd" d="M6.75007 8C4.40282 8 2.5 9.90282 2.5 12.2501C2.5 12.8024 2.05228 13.2501 1.5 13.2501C0.947715 13.2501 0.5 12.8024 0.5 12.2501C0.5 8.79825 3.29825 6 6.75007 6C10.2019 6 13.0001 8.79825 13.0001 12.2501C13.0001 12.8024 12.5524 13.2501 12.0001 13.2501C11.4479 13.2501 11.0001 12.8024 11.0001 12.2501C11.0001 9.90282 9.09732 8 6.75007 8Z" fill="currentcolor"/>
      <path fill-rule="evenodd" clip-rule="evenodd" d="M17.2499 16.0801C19.5972 16.0801 21.5 14.1773 21.5 11.83C21.5 11.2777 21.9477 10.83 22.5 10.83C23.0523 10.83 23.5 11.2777 23.5 11.83C23.5 15.2818 20.7017 18.0801 17.2499 18.0801C13.7981 18.0801 10.9999 15.2818 10.9999 11.83C10.9999 11.2777 11.4476 10.83 11.9999 10.83C12.5521 10.83 12.9999 11.2777 12.9999 11.83C12.9999 14.1773 14.9027 16.0801 17.2499 16.0801Z" fill="currentcolor"/>
    </g>

    <path v-else-if="icon === 'checkbox'" fill-rule="evenodd" clip-rule="evenodd" d="M17 6.76796V3.81074V2V1.62012H1.5V17.1201H17V13V12.2285V9.06896V6.76796ZM18.5 7.44287V10.6024V13V17.8701C18.5 18.2843 18.1642 18.6201 17.75 18.6201H0.75C0.335786 18.6201 0 18.2843 0 17.8701V0.870117C0 0.455904 0.335786 0.120117 0.75 0.120117H17.75C18.1642 0.120117 18.5 0.455904 18.5 0.870117V2V2.18466V5.14187V7.44287Z" fill="currentColor"/>

    <path v-else-if="icon === 'play'" d="M1.65217 0.999999L19 11.7692L1.65217 22L1.65217 0.999999Z" stroke="currentColor" stroke-width="2" stroke-linejoin="round"/>

    <g v-else-if="icon === 'important'">
      <line x1="12.1" y1="3.1" x2="12.1" y2="15.9" stroke="currentColor" stroke-width="2.2" stroke-linecap="round" stroke-linejoin="round"/>
      <circle cx="12.1" cy="21.1" r="1.1" fill="currentColor"/>
    </g>

    <g v-else-if="icon === 'heart'">
      <path d="M15.375 1.60825C17.5179 1.60825 19.2857 3.37731 19.2857 5.52164C19.2857 5.84328 19.2321 6.21855 19.1786 6.5402L18.9643 7.29073C18.2143 9.22063 17.1428 10.4536 17.0357 10.5608L11.3036 16.0825L11.25 16.1361L11.1964 16.2433C11.1428 16.2969 11.0893 16.3505 11.0357 16.4041C10.9286 16.5113 10.7143 16.5649 10.5 16.5649C10.2857 16.5649 10.125 16.5113 9.96428 16.4041C9.85714 16.3505 9.80356 16.2433 9.74999 16.1897L9.64287 16.0825L9.53569 15.9752L3.85712 10.5608C3.74998 10.4 2.67856 9.22063 1.92856 7.29073L1.71426 6.5402C1.60712 6.21855 1.60714 5.84328 1.60714 5.52164C1.60714 3.37731 3.37496 1.60825 5.51782 1.60825C6.53568 1.60825 7.4464 1.9835 8.1964 2.68041C8.83926 3.2701 9.64286 3.59175 10.5 3.59175C11.3571 3.59175 12.1607 3.2701 12.8035 2.68041C13.4464 1.9835 14.3571 1.60825 15.375 1.60825ZM15.375 0C13.9286 0 12.5893 0.536075 11.625 1.50102C11.3036 1.82267 10.875 1.98351 10.4464 1.98351C10.0179 1.98351 9.58926 1.82267 9.26783 1.50102C8.30354 0.589683 6.96425 0 5.51782 0C2.46425 0 0 2.46597 0 5.52164C0 6.00411 0.0535323 6.48659 0.160675 6.96906L0.107117 6.91547C1.01783 9.91753 2.73213 11.6866 2.73213 11.6866L8.46426 17.1546C8.62497 17.369 8.8393 17.5835 9.10715 17.7443C9.53573 18.0124 10.0179 18.1732 10.5 18.1732C11.0893 18.1732 11.5714 18.0123 12 17.6907C12.1607 17.5835 12.3214 17.4227 12.4821 17.2082L18.2679 11.6866C18.2679 11.6866 19.9822 9.91753 20.8929 6.91547L20.8393 6.96906C20.9464 6.5402 21 6.05772 21 5.52164C20.8929 2.46597 18.4286 0 15.375 0Z" fill="currentColor"/>
    </g>

    <g v-else-if="icon === 'time'">
      <path d="M10.5 1.48585C15.5024 1.48585 19.5142 5.54717 19.5142 10.5C19.5142 15.4528 15.4529 19.5142 10.5 19.5142C5.5472 19.5142 1.48585 15.4528 1.48585 10.5C1.48585 5.54717 5.49767 1.48585 10.5 1.48585ZM10.5 0C4.70522 0 0 4.70519 0 10.5C0 16.2948 4.70522 21 10.5 21C16.2948 21 21 16.2948 21 10.5C21 4.70519 16.2948 0 10.5 0Z" fill="currentColor"/>
      <path d="M16.4437 11.6386H10.104C9.70782 11.6386 9.36112 11.2919 9.36112 10.8957V4.70466C9.36112 4.30843 9.70782 3.96174 10.104 3.96174C10.5003 3.96174 10.847 4.30843 10.847 4.70466V10.1527H16.4437C16.8399 10.1527 17.1866 10.4994 17.1866 10.8957C17.1866 11.2919 16.8399 11.6386 16.4437 11.6386Z" fill="currentColor"/>
    </g>

    <g v-else-if="icon === 'timer'">
      <path d="M10.5 3.08643C4.74193 3.08643 0 7.71861 0 13.4241C0 19.1296 4.68548 23.7618 10.5 23.7618C16.3145 23.7618 21 19.1296 21 13.4241C21 7.71861 16.2581 3.08643 10.5 3.08643ZM10.5 22.0671C5.64516 22.0671 1.69355 18.2258 1.69355 13.4241C1.69355 8.62245 5.64516 4.78113 10.5 4.78113C15.3548 4.78113 19.3065 8.62245 19.3065 13.4241C19.3065 18.2258 15.3548 22.0671 10.5 22.0671Z" fill="currentColor"/>
      <path d="M16.4293 13.1977H11.2357V8.11364C11.2357 7.66172 10.8406 7.26629 10.389 7.26629C9.93735 7.26629 9.54219 7.66172 9.54219 8.11364V14.0451C9.54219 14.497 9.93735 14.8924 10.389 14.8924H16.4293C16.8809 14.8924 17.2761 14.497 17.2761 14.0451C17.2761 13.5932 16.9373 13.1977 16.4293 13.1977Z" fill="currentColor"/>
      <path d="M6.94254 2.29508C7.05544 2.29508 7.1119 2.29509 7.2248 2.2386C9.25706 1.56073 11.5151 1.56071 13.6038 2.18209C14.0554 2.35156 14.5071 2.06911 14.6764 1.6172C14.7893 1.16528 14.5635 0.713384 14.1119 0.543915C11.7409 -0.190449 9.0877 -0.190463 6.71673 0.600391C6.26512 0.76986 6.03931 1.22179 6.15222 1.67371C6.26512 2.06913 6.60383 2.29508 6.94254 2.29508Z" fill="currentColor"/>
    </g>

    <g v-else-if="icon === 'motivation'">
      <path d="M10.5 3.08643C4.74193 3.08643 0 7.71861 0 13.4241C0 19.1296 4.68548 23.7618 10.5 23.7618C16.3145 23.7618 21 19.1296 21 13.4241C21 7.71861 16.2581 3.08643 10.5 3.08643ZM10.5 22.0671C5.64516 22.0671 1.69355 18.2258 1.69355 13.4241C1.69355 8.62245 5.64516 4.78113 10.5 4.78113C15.3548 4.78113 19.3065 8.62245 19.3065 13.4241C19.3065 18.2258 15.3548 22.0671 10.5 22.0671Z" fill="currentColor"/>
      <path d="M16.4293 13.1977H11.2357V8.11364C11.2357 7.66172 10.8406 7.26629 10.389 7.26629C9.93735 7.26629 9.54219 7.66172 9.54219 8.11364V14.0451C9.54219 14.497 9.93735 14.8924 10.389 14.8924H16.4293C16.8809 14.8924 17.2761 14.497 17.2761 14.0451C17.2761 13.5932 16.9373 13.1977 16.4293 13.1977Z" fill="currentColor"/>
      <path d="M6.94254 2.29508C7.05544 2.29508 7.1119 2.29509 7.2248 2.2386C9.25706 1.56073 11.5151 1.56071 13.6038 2.18209C14.0554 2.35156 14.5071 2.06911 14.6764 1.6172C14.7893 1.16528 14.5635 0.713384 14.1119 0.543915C11.7409 -0.190449 9.0877 -0.190463 6.71673 0.600391C6.26512 0.76986 6.03931 1.22179 6.15222 1.67371C6.26512 2.06913 6.60383 2.29508 6.94254 2.29508Z" fill="currentColor"/>
    </g>

    <path v-else-if="icon === 'back'" d="M13.8894 21.7765L21.088 13.9039C22.304 12.6004 22.304 10.4107 21.088 9.10724L13.8894 1.23461C13.5976 0.921794 13.1598 0.921794 12.868 1.23461C12.722 1.39102 12.6734 1.59956 12.6734 1.80811C12.6734 2.01665 12.722 2.22525 12.868 2.38166L20.0666 10.3064C20.2125 10.4628 20.3098 10.8278 20.3584 10.8278L1.72959 10.8278C1.34048 10.8278 1 11.1927 1 11.6098C1 12.0269 1.34048 12.3919 1.72959 12.3919L20.3584 12.3919C20.2611 12.3919 20.1639 12.7047 20.0179 12.8611L12.8193 20.7337C12.5275 21.0466 12.5275 21.5158 12.8193 21.8286C13.1112 22.0893 13.5976 22.0372 13.8894 21.7765Z" fill="currentColor" stroke="currentColor" stroke-width="0.2"/>

    <path v-else-if="icon === 'down'" d="M1.22352 13.8894L9.09614 21.088C10.3996 22.304 12.5893 22.304 13.8928 21.088L21.7654 13.8894C22.0782 13.5976 22.0782 13.1598 21.7654 12.868C21.609 12.722 21.4004 12.6734 21.1919 12.6734C20.9833 12.6734 20.7747 12.722 20.6183 12.868L12.6936 20.0666C12.5372 20.2125 12.1722 20.3098 12.1722 20.3584L12.1722 1.72959C12.1722 1.34048 11.8073 1 11.3902 1C10.9731 1 10.6081 1.34048 10.6081 1.72959L10.6081 20.3584C10.6081 20.2611 10.2953 20.1639 10.1389 20.0179L2.26625 12.8193C1.95343 12.5275 1.48421 12.5275 1.17139 12.8193C0.910709 13.1112 0.962833 13.5976 1.22352 13.8894Z" fill="currentColor" stroke="currentColor" stroke-width="0.2"/>


    <g v-else-if="icon === 'mail'">
      <path d="M21 5.83731C21 2.62679 18.375 0 15.1667 0H5.83333C2.625 0 0 2.62679 0 5.83731V15.177C0 18.3875 2.625 21.0143 5.83333 21.0143H15.1667C18.375 21.0143 21 18.3875 21 15.177V5.83731ZM15.05 1.75119C15.925 1.75119 16.6833 2.10143 17.325 2.51004L13.7667 7.12152C12.8334 8.34736 11.6083 8.98946 10.325 8.98946C9.04167 8.98946 7.8167 8.34736 6.88336 7.12152L3.32501 2.51004C3.96667 2.04306 4.78335 1.75119 5.60002 1.75119H15.05ZM19.25 15.3521C19.25 17.6287 17.325 19.2631 15.05 19.2631H5.71669C3.44169 19.2631 1.75 17.5703 1.75 15.3521V6.01243C1.75 5.25358 1.86668 4.55311 2.27501 3.911L5.60002 8.23061C6.88335 9.86506 8.57503 10.7407 10.3834 10.7407C12.1917 10.7407 13.9417 9.86506 15.1667 8.23061L18.6083 3.911C18.9583 4.49473 19.25 5.25358 19.25 6.01243V15.3521Z" fill="currentColor"/>
    </g>

    <g v-else-if="icon === 'projects'">
      <path d="M1 7.63159V1H7.63159V7.63159H1Z" stroke="currentColor" stroke-width="2" stroke-linejoin="round"/>
      <path d="M15.3684 7.63159V1H22V7.63159H15.3684Z" stroke="currentColor" stroke-width="2" stroke-linejoin="round"/>
      <path d="M15.3684 22V15.3684H22V22H15.3684Z" stroke="currentColor" stroke-width="2" stroke-linejoin="round"/>
      <path d="M1 22V15.3684H7.63159V22H1Z" stroke="currentColor" stroke-width="2" stroke-linejoin="round"/>
    </g>

    <g v-else-if="icon === 'projectIcon'">
      <path d="M1 6.36843V1H6.36843V6.36843H1Z" stroke="currentColor" stroke-width="1.5" stroke-linejoin="round"/>
      <path d="M12.6316 6.36843V1H18V6.36843H12.6316Z" stroke="currentColor" stroke-width="1.5" stroke-linejoin="round"/>
      <path d="M12.6316 18V12.6316H18V18H12.6316Z" stroke="currentColor" stroke-width="1.5" stroke-linejoin="round"/>
      <path d="M1 18V12.6316H6.36843V18H1Z" stroke="currentColor" stroke-width="1.5" stroke-linejoin="round"/>
    </g>

    <path v-else-if="icon === 'close'" d="M3.22582 22L21.7734 3M22 21.7714L3 3.22382" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>

    <path v-else-if="icon === 'undo'" d="M12.9362 1C7.9149 1 3.87234 5.08789 3.87234 10.07C3.87234 10.1126 3.87234 10.1552 3.87234 10.1978L2.08511 8.40929C1.82979 8.1538 1.44681 8.1538 1.19149 8.40929C0.93617 8.66479 0.93617 9.04804 1.19149 9.30354L3.3617 11.4752C3.65958 11.7733 4.0851 11.9436 4.51063 11.9436C4.93617 11.9436 5.3617 11.7733 5.65957 11.4752L7.78723 9.34611C8.04255 9.09061 8.04255 8.70739 7.78723 8.45189C7.53192 8.1964 7.14893 8.1964 6.89361 8.45189L5.14893 10.1978C5.14893 10.1552 5.14893 10.1126 5.14893 10.1126C5.14893 5.81178 8.6383 2.32004 12.9362 2.32004C17.234 2.32004 20.7234 5.81178 20.7234 10.1126C20.7234 14.4134 17.234 17.9051 12.9362 17.9051C12.5957 17.9051 12.2979 18.2032 12.2979 18.5439C12.2979 18.8845 12.5957 19.1826 12.9362 19.1826C17.9575 19.1826 22 15.0947 22 10.1126C22 5.08788 17.9575 1 12.9362 1Z" fill="currentColor" stroke="currentColor" stroke-width="0.5"/>

    <g v-else-if="icon === 'settings'">
      <path d="M23 12C23 10.3396 21.9129 8.93868 20.36 8.52359C21.1365 7.12264 20.9294 5.35848 19.7388 4.21697C19.0659 3.54244 18.1341 3.17924 17.2023 3.17924C16.5812 3.17924 15.96 3.33491 15.4423 3.64623C15.0282 2.14151 13.6306 1 11.9741 1C10.3177 1 8.92 2.08963 8.50588 3.64623C7.98824 3.33491 7.36705 3.17924 6.74587 3.17924C5.76234 3.17924 4.88236 3.54244 4.20942 4.21697C3.53648 4.8915 3.17412 5.82548 3.17412 6.75944C3.17412 7.38208 3.3294 8.00472 3.63999 8.52359C2.13881 8.93868 1 10.3396 1 12C1 13.6604 2.08705 15.0613 3.63999 15.4764C3.3294 15.9953 3.17412 16.6179 3.17412 17.2406C3.17412 18.2264 3.53648 19.1085 4.20942 19.783C4.88236 20.4575 5.81411 20.8207 6.74587 20.8207C7.36705 20.8207 7.98824 20.6651 8.50588 20.3538C8.92 21.8585 10.3177 23 11.9741 23C13.6306 23 15.0282 21.9104 15.4423 20.3538C15.96 20.6651 16.5812 20.8207 17.2023 20.8207C18.1859 20.8207 19.0659 20.4575 19.7388 19.783C20.9294 18.5896 21.0847 16.8255 20.36 15.4764C21.8612 15.0613 23 13.6604 23 12ZM19.3765 14.0755C19.2729 14.0755 19.1694 14.0755 19.0659 14.0236C18.9106 14.5943 18.7035 15.1132 18.3929 15.5802C18.4447 15.6321 18.5482 15.684 18.6 15.7877C19.4282 16.6179 19.4282 17.9151 18.6 18.6934C18.1859 19.1085 17.6682 19.316 17.1506 19.316C16.6329 19.316 16.1153 19.1085 15.7012 18.6934C15.6494 18.6415 15.5976 18.5377 15.4941 18.4858C15.0282 18.7453 14.4588 18.9528 13.9412 19.1604C13.9412 19.2642 13.9929 19.3679 13.9929 19.4717C13.9929 20.6132 13.0612 21.5472 11.9223 21.5472C10.7835 21.5472 9.85175 20.6132 9.85175 19.4717C9.85175 19.3679 9.85177 19.2642 9.90354 19.1604C9.33412 19.0047 8.81648 18.7972 8.3506 18.4858C8.29883 18.5377 8.24705 18.6415 8.14352 18.6934C7.72941 19.1085 7.21176 19.316 6.69412 19.316C6.17647 19.316 5.65883 19.1085 5.24471 18.6934C4.41648 17.8632 4.41648 16.566 5.24471 15.7877C5.29648 15.7359 5.39999 15.684 5.45175 15.5802C5.19293 15.1132 4.98588 14.5425 4.77882 14.0236C4.67529 14.0236 4.57177 14.0755 4.46824 14.0755C3.32942 14.0755 2.39765 13.1415 2.39765 12C2.39765 10.8585 3.32942 9.92452 4.46824 9.92452C4.57177 9.92452 4.67529 9.92452 4.77882 9.97641C4.93411 9.40566 5.14116 8.88679 5.45175 8.41981C5.39999 8.36792 5.29648 8.31604 5.24471 8.21226C4.41648 7.38207 4.41648 6.0849 5.24471 5.3066C5.65883 4.8915 6.17647 4.68397 6.69412 4.68397C7.21176 4.68397 7.72941 4.8915 8.14352 5.3066C8.19529 5.35849 8.24707 5.46226 8.3506 5.51414C8.81648 5.25471 9.38589 5.04717 9.90354 4.83962C9.90354 4.73585 9.85175 4.63207 9.85175 4.5283C9.85175 3.38679 10.7835 2.45282 11.9223 2.45282C13.0612 2.45282 13.9929 3.38679 13.9929 4.5283C13.9929 4.63207 13.9929 4.73585 13.9412 4.83962C14.5106 4.99528 15.0282 5.20282 15.4941 5.51414C15.5459 5.46226 15.5976 5.35849 15.7012 5.3066C16.1153 4.8915 16.6329 4.68397 17.1506 4.68397C17.6682 4.68397 18.1859 4.8915 18.6 5.3066C19.4282 6.13679 19.4282 7.43396 18.6 8.21226C18.5482 8.26415 18.4447 8.31603 18.3929 8.41981C18.6518 8.88679 18.8588 9.45754 19.0659 9.97641C19.1694 9.97641 19.2729 9.92452 19.3765 9.92452C20.5153 9.92452 21.4471 10.8585 21.4471 12C21.4471 13.1415 20.5153 14.0755 19.3765 14.0755Z" fill="currentColor"/>
      <path d="M11.9723 6.96729C9.28049 6.96729 7.10636 9.14653 7.10636 11.8446C7.10636 14.5428 9.28049 16.722 11.9723 16.722C14.664 16.722 16.8381 14.5428 16.8381 11.8446C16.8381 9.14653 14.664 6.96729 11.9723 6.96729ZM11.9723 15.1135C10.1605 15.1135 8.6593 13.6088 8.6593 11.7928C8.6593 9.97671 10.1605 8.472 11.9723 8.472C13.784 8.472 15.2852 9.97671 15.2852 11.7928C15.2852 13.6088 13.784 15.1135 11.9723 15.1135Z" fill="currentColor"/>
      <path d="M23 12C23 10.3396 21.9129 8.93868 20.36 8.52359C21.1365 7.12264 20.9294 5.35848 19.7388 4.21697C19.0659 3.54244 18.1341 3.17924 17.2023 3.17924C16.5812 3.17924 15.96 3.33491 15.4423 3.64623C15.0282 2.14151 13.6306 1 11.9741 1C10.3177 1 8.92 2.08963 8.50588 3.64623C7.98824 3.33491 7.36705 3.17924 6.74587 3.17924C5.76234 3.17924 4.88236 3.54244 4.20942 4.21697C3.53648 4.8915 3.17412 5.82548 3.17412 6.75944C3.17412 7.38208 3.3294 8.00472 3.63999 8.52359C2.13881 8.93868 1 10.3396 1 12C1 13.6604 2.08705 15.0613 3.63999 15.4764C3.3294 15.9953 3.17412 16.6179 3.17412 17.2406C3.17412 18.2264 3.53648 19.1085 4.20942 19.783C4.88236 20.4575 5.81411 20.8207 6.74587 20.8207C7.36705 20.8207 7.98824 20.6651 8.50588 20.3538C8.92 21.8585 10.3177 23 11.9741 23C13.6306 23 15.0282 21.9104 15.4423 20.3538C15.96 20.6651 16.5812 20.8207 17.2023 20.8207C18.1859 20.8207 19.0659 20.4575 19.7388 19.783C20.9294 18.5896 21.0847 16.8255 20.36 15.4764C21.8612 15.0613 23 13.6604 23 12ZM19.3765 14.0755C19.2729 14.0755 19.1694 14.0755 19.0659 14.0236C18.9106 14.5943 18.7035 15.1132 18.3929 15.5802C18.4447 15.6321 18.5482 15.684 18.6 15.7877C19.4282 16.6179 19.4282 17.9151 18.6 18.6934C18.1859 19.1085 17.6682 19.316 17.1506 19.316C16.6329 19.316 16.1153 19.1085 15.7012 18.6934C15.6494 18.6415 15.5976 18.5377 15.4941 18.4858C15.0282 18.7453 14.4588 18.9528 13.9412 19.1604C13.9412 19.2642 13.9929 19.3679 13.9929 19.4717C13.9929 20.6132 13.0612 21.5472 11.9223 21.5472C10.7835 21.5472 9.85175 20.6132 9.85175 19.4717C9.85175 19.3679 9.85177 19.2642 9.90354 19.1604C9.33412 19.0047 8.81648 18.7972 8.3506 18.4858C8.29883 18.5377 8.24705 18.6415 8.14352 18.6934C7.72941 19.1085 7.21176 19.316 6.69412 19.316C6.17647 19.316 5.65883 19.1085 5.24471 18.6934C4.41648 17.8632 4.41648 16.566 5.24471 15.7877C5.29648 15.7359 5.39999 15.684 5.45175 15.5802C5.19293 15.1132 4.98588 14.5425 4.77882 14.0236C4.67529 14.0236 4.57177 14.0755 4.46824 14.0755C3.32942 14.0755 2.39765 13.1415 2.39765 12C2.39765 10.8585 3.32942 9.92452 4.46824 9.92452C4.57177 9.92452 4.67529 9.92452 4.77882 9.97641C4.93411 9.40566 5.14116 8.88679 5.45175 8.41981C5.39999 8.36792 5.29648 8.31604 5.24471 8.21226C4.41648 7.38207 4.41648 6.0849 5.24471 5.3066C5.65883 4.8915 6.17647 4.68397 6.69412 4.68397C7.21176 4.68397 7.72941 4.8915 8.14352 5.3066C8.19529 5.35849 8.24707 5.46226 8.3506 5.51414C8.81648 5.25471 9.38589 5.04717 9.90354 4.83962C9.90354 4.73585 9.85175 4.63207 9.85175 4.5283C9.85175 3.38679 10.7835 2.45282 11.9223 2.45282C13.0612 2.45282 13.9929 3.38679 13.9929 4.5283C13.9929 4.63207 13.9929 4.73585 13.9412 4.83962C14.5106 4.99528 15.0282 5.20282 15.4941 5.51414C15.5459 5.46226 15.5976 5.35849 15.7012 5.3066C16.1153 4.8915 16.6329 4.68397 17.1506 4.68397C17.6682 4.68397 18.1859 4.8915 18.6 5.3066C19.4282 6.13679 19.4282 7.43396 18.6 8.21226C18.5482 8.26415 18.4447 8.31603 18.3929 8.41981C18.6518 8.88679 18.8588 9.45754 19.0659 9.97641C19.1694 9.97641 19.2729 9.92452 19.3765 9.92452C20.5153 9.92452 21.4471 10.8585 21.4471 12C21.4471 13.1415 20.5153 14.0755 19.3765 14.0755Z" stroke="currentColor" stroke-width="0.2"/>
      <path d="M11.9723 6.96729C9.28049 6.96729 7.10636 9.14653 7.10636 11.8446C7.10636 14.5428 9.28049 16.722 11.9723 16.722C14.664 16.722 16.8381 14.5428 16.8381 11.8446C16.8381 9.14653 14.664 6.96729 11.9723 6.96729ZM11.9723 15.1135C10.1605 15.1135 8.6593 13.6088 8.6593 11.7928C8.6593 9.97671 10.1605 8.472 11.9723 8.472C13.784 8.472 15.2852 9.97671 15.2852 11.7928C15.2852 13.6088 13.784 15.1135 11.9723 15.1135Z" stroke="currentColor" stroke-width="0.2"/>
    </g>

    <g v-else-if="icon === 'edit'">
      <path d="M18.8297 1.00855L18.6382 0.816932C17.4892 -0.332819 15.5104 -0.268952 14.2976 1.00855L3.76544 11.5479C3.51012 11.8034 3.38245 12.0589 3.31862 12.3783L2.80797 14.9972C2.68031 15.5082 2.8718 16.0831 3.25479 16.4025C3.57395 16.7218 3.95694 16.8495 4.40376 16.8495C4.53142 16.8495 4.59525 16.8495 4.72292 16.8495L7.34001 16.3386C7.65917 16.2747 7.97832 16.1469 8.16982 15.8914L18.702 5.35204C19.2765 4.77717 19.6595 4.01069 19.7233 3.18032C19.7233 2.34994 19.4042 1.58342 18.8297 1.00855ZM17.2977 4.01068L6.82936 14.4862L4.78675 14.8694L5.16974 12.8254L15.6381 2.34995C16.1488 1.83895 16.9147 1.77504 17.2977 2.15829L17.4892 2.34995C17.6807 2.54157 17.7445 2.79706 17.7445 3.05256C17.7445 3.43581 17.553 3.75518 17.2977 4.01068Z" fill="currentColor"/>
      <path d="M17.5537 19.0837H0.957472C0.44682 19.0837 0 19.5309 0 20.0419C0 20.5529 0.44682 21 0.957472 21H17.5537C18.0643 21 18.5111 20.5529 18.5111 20.0419C18.5111 19.5309 18.0643 19.0837 17.5537 19.0837Z" fill="currentColor"/>
    </g>

    <path v-else-if="icon === 'timediagrams'"  d="M11.9999 11.5L5.33325 1.5H18.6666L11.9999 11.5ZM11.9999 11.5L18.6666 21.5H5.33325L11.9999 11.5Z" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>

    <g v-else-if="icon === 'name'">
      <path d="M8.77605 11.7246C4.48926 11.7246 1 14.0191 1 16.8623C1 19.7055 4.48926 22 8.77605 22C13.0628 22 16.5521 19.7055 16.5521 16.8623C16.5521 14.069 13.0628 11.7246 8.77605 11.7246ZM8.77605 20.5535C5.43634 20.5535 2.49539 18.8575 2.49539 16.9122C2.49539 14.9668 5.43634 13.2709 8.77605 13.2709C12.1158 13.2709 15.0567 14.9668 15.0567 16.9122C15.0567 18.8575 12.1158 20.5535 8.77605 20.5535Z" fill="currentColor"/>
      <path d="M8.67698 10.2279C11.2191 10.2279 13.3127 8.1828 13.3127 5.63889C13.3127 3.09498 11.269 1 8.67698 1C6.08496 1 4.04127 3.0451 4.04127 5.63889C4.04127 8.23268 6.13481 10.2279 8.67698 10.2279ZM8.67698 2.49642C10.3718 2.49642 11.8173 3.89307 11.8173 5.63889C11.8173 7.38471 10.4216 8.73148 8.67698 8.73148C6.93235 8.73148 5.53666 7.33483 5.53666 5.63889C5.53666 3.94295 6.9822 2.49642 8.67698 2.49642Z" fill="currentColor"/>
      <path d="M8.77605 11.7246C4.48926 11.7246 1 14.0191 1 16.8623C1 19.7055 4.48926 22 8.77605 22C13.0628 22 16.5521 19.7055 16.5521 16.8623C16.5521 14.069 13.0628 11.7246 8.77605 11.7246ZM8.77605 20.5535C5.43634 20.5535 2.49539 18.8575 2.49539 16.9122C2.49539 14.9668 5.43634 13.2709 8.77605 13.2709C12.1158 13.2709 15.0567 14.9668 15.0567 16.9122C15.0567 18.8575 12.1158 20.5535 8.77605 20.5535Z" stroke="currentColor" stroke-width="0"/>
      <path d="M8.67698 10.2279C11.2191 10.2279 13.3127 8.1828 13.3127 5.63889C13.3127 3.09498 11.269 1 8.67698 1C6.08496 1 4.04127 3.0451 4.04127 5.63889C4.04127 8.23268 6.13481 10.2279 8.67698 10.2279ZM8.67698 2.49642C10.3718 2.49642 11.8173 3.89307 11.8173 5.63889C11.8173 7.38471 10.4216 8.73148 8.67698 8.73148C6.93235 8.73148 5.53666 7.33483 5.53666 5.63889C5.53666 3.94295 6.9822 2.49642 8.67698 2.49642Z" stroke="currentColor" stroke-width="0"/>
    </g>

    <g v-else-if="icon === 'delet'">
      <path d="M12.7961 1.02439H11.107C10.7999 0.512195 10.1345 0 9.36677 0H7.06346C6.29569 0 5.5791 0.512195 5.32317 1.02439H3.63409C1.63789 1.02439 0 2.71466 0 4.76344C0 5.53173 0.614202 6.14634 1.33079 6.14634H1.63788V17.1073C1.63788 19.1561 3.32698 21 5.32317 21H11.0558C13.052 21 14.8947 19.1049 14.8947 17.1073V6.14634H15.0994C15.816 6.14634 16.4302 5.48051 16.4302 4.76344C16.4302 2.71466 14.8435 1.02439 12.7961 1.02439ZM3.58292 2.56098H6.70516V1.99757C6.70516 1.7927 6.80752 1.58782 7.01226 1.58782H9.31556C9.5203 1.58782 9.77624 1.7927 9.77624 1.99757V2.61221H12.7961C13.7175 2.61221 14.5364 3.32927 14.7923 4.20001C14.6899 4.14879 14.5364 4.1488 14.3828 4.1488H2.09855C1.84263 4.1488 1.63791 4.14878 1.53554 4.35366C1.79146 3.38049 2.61041 2.56098 3.58292 2.56098ZM11.0558 19.4634H5.272C4.09476 19.4634 3.12224 18.2854 3.12224 17.1073V5.63415H13.3592V17.1073C13.4103 18.2854 12.2331 19.4634 11.0558 19.4634Z" fill="currentColor"/>
    </g>

    <g v-else-if="icon === 'privacy'">
      <path d="M11.2446 8.39946C13.2655 8.39946 14.8719 10.0069 14.8719 12.0292V15.8146C14.8719 17.8369 13.2655 19.4444 11.2446 19.4444H5.18185C3.16093 19.4444 1.55456 17.8369 1.55456 15.8146V12.0292C1.55456 10.0069 3.16093 8.39946 5.18185 8.39946H11.2446ZM11.2446 6.84384H5.18185C2.33183 6.84384 0 9.17727 0 12.0292V15.8146C0 18.6666 2.33183 21 5.18185 21H11.2446C14.0946 21 16.4265 18.6666 16.4265 15.8146V12.0292C16.4265 9.17727 14.0946 6.84384 11.2446 6.84384Z" fill="currentColor"/>
      <path d="M8.39484 14.2606C8.96485 14.2606 9.43123 14.7273 9.43123 15.2977C9.43123 15.8681 8.96485 16.3347 8.39484 16.3347C7.82483 16.3347 7.35846 15.8681 7.35846 15.2977C7.35846 14.7273 7.82483 14.2606 8.39484 14.2606ZM8.39484 12.7049C6.99573 12.7049 5.80389 13.8457 5.80389 15.2977C5.80389 16.7496 6.94391 17.8904 8.39484 17.8904C9.84578 17.8904 10.9858 16.7496 10.9858 15.2977C10.9858 13.8457 9.79396 12.7049 8.39484 12.7049Z" fill="currentColor"/>
      <path d="M2.0721 9.28186C1.76119 8.50405 1.60575 7.62253 1.60575 6.79286C1.60575 3.05937 4.61123 0 8.34215 0C12.0731 0 15.0786 3.05937 15.0786 6.79286C15.0786 7.57067 14.9749 8.29664 14.7158 9.02259L13.2649 8.50405C13.4722 7.93366 13.5758 7.36326 13.5758 6.79286C13.5758 3.88904 11.244 1.55562 8.39396 1.55562C5.54394 1.55562 3.21211 3.88904 3.21211 6.79286C3.21211 7.46696 3.31576 8.08922 3.57485 8.71147L2.0721 9.28186Z" fill="currentColor"/>
    </g>

    <g v-else-if="icon === 'download'">
      <path d="M20.2571 9.41736C19.8608 9.41736 19.5141 9.76429 19.5141 10.1608C19.5141 15.117 15.4528 19.1811 10.5 19.1811C5.54717 19.1811 1.48585 15.117 1.48585 10.1608C1.48585 9.76429 1.13915 9.41736 0.742925 9.41736C0.346698 9.41736 0 9.76429 0 10.1608C0 15.9595 4.70519 20.6679 10.5 20.6679C16.2948 20.6679 21 15.9595 21 10.1608C21 9.76429 20.6533 9.41736 20.2571 9.41736Z" fill="currentColor"/>
      <path d="M8.86559 15.2651C9.26182 15.6616 9.80663 15.9094 10.401 15.959C11.0448 15.959 11.6392 15.7608 12.0849 15.2651L16.6911 10.5072C16.9882 10.2098 16.9882 9.71419 16.6911 9.41682C16.5425 9.26813 16.3444 9.169 16.1463 9.169C15.9481 9.169 15.7996 9.26813 15.651 9.41682L11.243 13.9765V0.743433C11.243 0.297373 10.8963 0 10.5 0C10.1038 0 9.7571 0.346935 9.7571 0.743433V14.0261L5.29956 9.46637C5.00239 9.16899 4.50711 9.16899 4.20994 9.46637C3.91277 9.76374 3.91277 10.2594 4.20994 10.5567L8.86559 15.2651Z" fill="currentColor"/>
    </g>

    <g v-else-if="icon === 'pause'">
      <path d="M0.947815 21C0.442314 21 0 20.5928 0 20.1274V0.872576C0 0.407202 0.442314 0 0.947815 0C1.45332 0 1.89563 0.407202 1.89563 0.872576V20.1856C1.89563 20.651 1.45332 21 0.947815 21Z" fill="currentColor"/>
      <path d="M10.8807 21C10.3752 21 9.93291 20.5928 9.93291 20.1274V0.872576C9.93291 0.407202 10.3752 0 10.8807 0C11.3862 0 11.8285 0.407202 11.8285 0.872576V20.1856C11.8285 20.651 11.3862 21 10.8807 21Z" fill="currentColor"/>
    </g>

    <g v-else-if="icon === 'credits'">
      <path d="M14.4424 1.74117C14.6744 1.74117 14.9644 1.85724 15.0804 2.08939C15.4284 2.8439 15.3704 4.46898 13.5144 7.37094H14.4424C16.9944 7.37094 19.1404 9.34429 19.1984 11.898C19.2564 14.5678 17.1104 16.6572 14.4424 16.6572H8.29448C7.88848 16.6572 7.59848 16.367 7.59848 15.9608V8.06745C7.59848 7.66117 7.88848 7.37094 8.29448 7.37094C9.16447 7.08074 11.9484 6.73249 13.6304 2.20544C13.8044 1.91525 14.0944 1.74117 14.4424 1.74117ZM14.4424 0C13.3404 0 12.4124 0.638402 12.0644 1.56703C10.8465 4.81722 9.10646 5.28154 8.17847 5.57174C8.12047 5.57174 8.06248 5.62976 8.00448 5.62976C6.84449 5.80388 5.9165 6.79059 5.9165 8.06745V15.9608C5.9165 17.2957 7.01849 18.3984 8.35248 18.3984H14.5004C16.2984 18.3984 17.9224 17.7019 19.1984 16.425C20.4164 15.2062 21.0544 13.5812 20.9964 11.84C20.9384 9.05411 18.9664 6.61644 16.2984 5.86193C17.1104 4.00468 17.2264 2.49564 16.7044 1.33486C16.2404 0.522309 15.3704 0 14.4424 0Z" fill="currentColor"/>
      <path d="M2.37799 17.7588C1.044 17.7588 0 16.6561 0 15.3792V8.82075C0 7.48584 1.102 6.44115 2.37799 6.44115C3.65398 6.44115 4.75598 7.54388 4.75598 8.82075V15.3792C4.75598 16.7141 3.65398 17.7588 2.37799 17.7588ZM2.37799 8.18233C2.02999 8.18233 1.73999 8.47251 1.73999 8.82075V15.3792C1.73999 15.7274 2.02999 16.0176 2.37799 16.0176C2.72599 16.0176 3.01599 15.7274 3.01599 15.3792V8.82075C3.01599 8.53055 2.72599 8.18233 2.37799 8.18233Z" fill="currentColor"/>
    </g>

    <g v-else-if="icon === 'call'">
      <path d="M19.6635 15.113L17.9555 13.4039C16.8801 12.3278 15.1089 12.3278 14.0335 13.4039L13.9703 13.4672C12.8949 14.5433 12.8949 16.3158 13.9703 17.3919L15.1089 18.5313C13.2745 19.5441 10.8707 19.2909 9.28924 17.7084L3.27979 11.6948C1.63509 10.049 1.38206 7.51696 2.64721 5.61794L3.53282 6.50414C4.10214 7.07385 4.79797 7.32705 5.4938 7.32705C6.18963 7.32705 6.94872 7.07385 7.45478 6.50414L7.51803 6.44084C8.59341 5.36473 8.59341 3.59231 7.51803 2.5162L5.81008 0.807084C4.73471 -0.269028 2.9635 -0.269028 1.88813 0.807084L1.82486 0.870384C0.93926 1.75659 0.812747 3.14921 1.38206 4.16202C-0.642174 6.82065 -0.452402 10.6187 2.01464 13.0241L8.02409 19.0377C9.3525 20.367 11.0605 21 12.8317 21C14.2233 21 15.615 20.5569 16.8169 19.734C17.1332 19.8606 17.4495 19.9239 17.829 19.9239C18.5248 19.9239 19.2839 19.6707 19.79 19.101L19.8532 19.0377C20.7388 17.9616 20.7388 16.1891 19.6635 15.113ZM3.09001 2.263L3.15327 2.1997C3.34305 2.0098 3.53282 1.9465 3.78585 1.9465C4.03888 1.9465 4.22865 2.0098 4.41842 2.1997L6.12637 3.90882C6.44266 4.22532 6.44266 4.79503 6.12637 5.17483L6.06312 5.23813C5.74683 5.55463 5.11426 5.55463 4.79797 5.23813L3.09001 3.52901C2.71047 3.14921 2.71047 2.5795 3.09001 2.263ZM18.3351 17.7084L18.2718 17.7717C17.9555 18.0882 17.3862 18.0882 17.0066 17.7717L15.2987 16.0625C14.9824 15.746 14.9824 15.1763 15.2987 14.7965L15.362 14.7332C15.5517 14.5433 15.7415 14.48 15.9945 14.48C16.2476 14.48 16.4373 14.5433 16.6271 14.7332L18.3351 16.4424C18.6513 16.8222 18.6513 17.3919 18.3351 17.7084Z" fill="currentColor"/>
    </g>

    <path v-else-if="icon === 'add'" d="M10.908 2.73771L10.908 11.1844L2.74292 11.1844C1.93748 11.1844 1.25 11.8595 1.25 12.6721C1.25 13.4848 1.93748 14.1598 2.74292 14.1598H10.908V22.2623C10.908 23.0749 11.5955 23.75 12.4009 23.75C13.2064 23.75 13.8939 23.0749 13.8939 22.2623V14.1598L22.2571 14.1598C23.0625 14.1598 23.75 13.4848 23.75 12.6721C23.75 11.8595 23.0625 11.1844 22.2571 11.1844H13.8939L13.8939 2.73771C13.8939 1.92508 13.2064 1.25 12.4009 1.25C11.5955 1.25 10.908 1.92508 10.908 2.73771Z" fill="currentColor" stroke="currentColor" stroke-width="0.7"/>

    <path v-else-if="icon === 'plus'" d="M10.908 2.73771L10.908 11.1844L2.74292 11.1844C1.93748 11.1844 1.25 11.8595 1.25 12.6721C1.25 13.4848 1.93748 14.1598 2.74292 14.1598H10.908V22.2623C10.908 23.0749 11.5955 23.75 12.4009 23.75C13.2064 23.75 13.8939 23.0749 13.8939 22.2623V14.1598L22.2571 14.1598C23.0625 14.1598 23.75 13.4848 23.75 12.6721C23.75 11.8595 23.0625 11.1844 22.2571 11.1844H13.8939L13.8939 2.73771C13.8939 1.92508 13.2064 1.25 12.4009 1.25C11.5955 1.25 10.908 1.92508 10.908 2.73771Z" fill="currentColor" stroke="currentColor" stroke-width="0"/>

    <path v-else d="M10.158 1.73771L10.158 10.4344L1.74292 10.4344C1.07388 10.4344 0.5 10.9992 0.5 11.6721C0.5 12.345 1.07388 12.9098 1.74292 12.9098L10.158 12.9098L10.158 21.2623C10.158 21.9352 10.7319 22.5 11.4009 22.5C12.07 22.5 12.6439 21.9352 12.6439 21.2623L12.6439 12.9098L21.2571 12.9098C21.9261 12.9098 22.5 12.345 22.5 11.6721C22.5 10.9992 21.9261 10.4344 21.2571 10.4344L12.6439 10.4344L12.6439 1.73771C12.6439 1.06481 12.07 0.5 11.4009 0.5C10.7319 0.5 10.158 1.06481 10.158 1.73771Z" fill="currentColor" stroke-width="0" stroke="white"/>

</svg>

</template>


<script>
export default {
  props: {
    icon: String,
  },
};
</script>

<style lang="stylus" scoped>

.icon
  filter: drop-shadow(0px 0px 6px #3F45FF);
  width: 22px
  height: 22px
</style>
